org.richfaces.fragment.editor.toolbar

## Enum EditorOtherButton

- java.lang.Object
- - java.lang.Enum<EditorOtherButton>
  - - org.richfaces.fragment.editor.toolbar.EditorOtherButton

- All Implemented Interfaces:
    Serializable, Comparable<EditorOtherButton>, EditorButton

      public enum EditorOtherButton
      extends Enum<EditorOtherButton>
      implements EditorButton

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABOUT_CKE_EDITOR`
    `ANCHOR`
    `BUTTON`
    `CHECK_SPELLING`
    `CHECKBOX`
    `COPY`
    `CREATE_DIV`
    `CUT`
    `DECREASE_INDENT`
    `FIND`
    `FLASH`
    `FORM`
    `HIDDEN_FIELD`
    `IFRAME`
    `IMAGE`
    `IMAGE_BUTTON`
    `INCREASE_INDENT`
    `INSERT_HORIZONTAL_RULE`
    `INSERT_PAGE_BREAK_FOR_PRINTING`
    `INSERT_SPECIAL_CHARACTER`
    `LINK`
    `NEW_PAGE`
    `PASTE`
    `PASTE_AS_PLAIN_TEXT`
    `PASTE_FROM_WORD`
    `PREVIEW`
    `PRINT`
    `RADIO_BUTTON`
    `REDO`
    `REMOVE_FORMAT`
    `REPLACE`
    `SAVE`
    `SELECT_ALL`
    `SELECTION_FIELD`
    `SMILEY`
    `TABLE`
    `TEMPLATES`
    `TEXT_AREA`
    `TEXT_FIELD`
    `UNDO`
    `UNLINK`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCSSClassName()`
    `String` | `toString()`
    `static EditorOtherButton` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EditorOtherButton[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SAVE

          public static final EditorOtherButton SAVE

    - #### NEW_PAGE

          public static final EditorOtherButton NEW_PAGE

    - #### PREVIEW

          public static final EditorOtherButton PREVIEW

    - #### PRINT

          public static final EditorOtherButton PRINT

    - #### TEMPLATES

          public static final EditorOtherButton TEMPLATES

    - #### CUT

          public static final EditorOtherButton CUT

    - #### COPY

          public static final EditorOtherButton COPY

    - #### PASTE

          public static final EditorOtherButton PASTE

    - #### PASTE_AS_PLAIN_TEXT

          public static final EditorOtherButton PASTE_AS_PLAIN_TEXT

    - #### PASTE_FROM_WORD

          public static final EditorOtherButton PASTE_FROM_WORD

    - #### UNDO

          public static final EditorOtherButton UNDO

    - #### REDO

          public static final EditorOtherButton REDO

    - #### FIND

          public static final EditorOtherButton FIND

    - #### REPLACE

          public static final EditorOtherButton REPLACE

    - #### SELECT_ALL

          public static final EditorOtherButton SELECT_ALL

    - #### CHECK_SPELLING

          public static final EditorOtherButton CHECK_SPELLING

    - #### FORM

          public static final EditorOtherButton FORM

    - #### CHECKBOX

          public static final EditorOtherButton CHECKBOX

    - #### RADIO_BUTTON

          public static final EditorOtherButton RADIO_BUTTON

    - #### TEXT_FIELD

          public static final EditorOtherButton TEXT_FIELD

    - #### TEXT_AREA

          public static final EditorOtherButton TEXT_AREA

    - #### SELECTION_FIELD

          public static final EditorOtherButton SELECTION_FIELD

    - #### BUTTON

          public static final EditorOtherButton BUTTON

    - #### IMAGE_BUTTON

          public static final EditorOtherButton IMAGE_BUTTON

    - #### HIDDEN_FIELD

          public static final EditorOtherButton HIDDEN_FIELD

    - #### REMOVE_FORMAT

          public static final EditorOtherButton REMOVE_FORMAT

    - #### DECREASE_INDENT

          public static final EditorOtherButton DECREASE_INDENT

    - #### INCREASE_INDENT

          public static final EditorOtherButton INCREASE_INDENT

    - #### CREATE_DIV

          public static final EditorOtherButton CREATE_DIV

    - #### LINK

          public static final EditorOtherButton LINK

    - #### UNLINK

          public static final EditorOtherButton UNLINK

    - #### ANCHOR

          public static final EditorOtherButton ANCHOR

    - #### IMAGE

          public static final EditorOtherButton IMAGE

    - #### FLASH

          public static final EditorOtherButton FLASH

    - #### TABLE

          public static final EditorOtherButton TABLE

    - #### INSERT_HORIZONTAL_RULE

          public static final EditorOtherButton INSERT_HORIZONTAL_RULE

    - #### SMILEY

          public static final EditorOtherButton SMILEY

    - #### INSERT_SPECIAL_CHARACTER

          public static final EditorOtherButton INSERT_SPECIAL_CHARACTER

    - #### INSERT_PAGE_BREAK_FOR_PRINTING

          public static final EditorOtherButton INSERT_PAGE_BREAK_FOR_PRINTING

    - #### IFRAME

          public static final EditorOtherButton IFRAME

    - #### ABOUT_CKE_EDITOR

          public static final EditorOtherButton ABOUT_CKE_EDITOR

  - ### Method Detail

    - #### values

          public static EditorOtherButton[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EditorOtherButton c : EditorOtherButton.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EditorOtherButton valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<EditorOtherButton>`

    - #### getCSSClassName

          public String getCSSClassName()

      Specified by:
        `getCSSClassName` in interface `EditorButton`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.